# Review: https://bugzilla.redhat.com/show_bug.cgi?id=499283

%global minorversion 0.5

Name:           xfce4-radio-plugin
Version:        0.5.1
Release:        1%{?dist}
Summary:        Video4linux radio device control plugin for the Xfce panel

Group:          User Interface/Desktops
# FIXME: license will change to GPLv3+ soon
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:        http://archive.xfce.org/src/panel-plugins/%{name}/%{minorversion}/%{name}-%{version}.tar.bz2
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  xfce4-panel-devel >= 4.3.22, libxfcegui4-devel >= 4.4.0
BuildRequires:  gettext, intltool
Requires:       xfce4-panel >= 4.6.0
 
%description
Xfce panel plugin to control video4linux radio devices. To run it, all you need
is the Xfce panel and a properly configured Video4linux radio device.

Left-click on the plugin’s icon to switch your radio on/off. Once turned on,
the middle button will show you the station preset menu. The mouse wheel
allows you to change frequency or station preset.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
# FIXME: add ChangeLog
%doc AUTHORS COPYING README NEWS
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_datadir}/icons/hicolor/*/*/*


%changelog
* Mon Jun 27 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.1-1
- Update to 0.5.1

* Thu May 19 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.0-1
- Update to 0.5.0

* Sat Mar 12 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.5-1
- Update to 0.4.5

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Dec 19 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.4-2
- Rebuild for xfce4-panel 4.7

* Thu Nov 04 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.4-1
- Update to 0.4.4
- Drop upstreamed dsofix patch
- Drop upstreamed include-time patch
- Remove empty ChangeLog (for now)

* Thu Oct 21 2010 Johannes Lips <Johannes.Lips@googlemail.com> - 0.4.1-4
- Add patch to fix the missing include sys/time.h (#631048)

* Wed Feb 17 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.1-3
- Add patch to fix DSO linking (#564635)

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 19 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1

* Fri Jul 11 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.1-1
- Update to 0.3.1

* Wed Aug 29 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.2.0-1
- Initial Fedora package
